PETSc version 3.15.5
Fix/Edit manual page

# SETERRABORT

Macro that can be called when an error has been detected,

### Synopsis

    #include <petscsys.h>
    PetscErrorCode SETERRABORT(MPI_Comm comm,PetscErrorCode ierr,char *message)

Collective

### Input Parameters

| comm | - A communicator, so that the error can be collective
| ierr | - nonzero error code, see the list of standard error codes in include/petscerror.h
| message | - error message in the printf format

### Notes

This function just calls MPI_Abort().

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), CHKERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ2()

### Level

beginner

### Location

src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages